Module javafx.base
Package javafx.beans.property

# Class ReadOnlyLongWrapper

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.LongExpression
javafx.beans.property.ReadOnlyLongProperty
javafx.beans.property.LongProperty
javafx.beans.property.LongPropertyBase
javafx.beans.property.SimpleLongProperty
javafx.beans.property.ReadOnlyLongWrapper

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableLongValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableLongValue`, `WritableNumberValue`, `WritableValue<Number>`

public class ReadOnlyLongWrapper extends SimpleLongProperty
This class provides a convenient class to define read-only properties. It creates two properties that are synchronized. One property is read-only and can be passed to external users. The other property is read- and writable and should be used internally only.

Since:
  JavaFX 2.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadOnlyLongWrapper()`
  The constructor of `ReadOnlyLongWrapper`
  `ReadOnlyLongWrapper(long initialValue)`
  The constructor of `ReadOnlyLongWrapper`
  `ReadOnlyLongWrapper(Object bean, String name)`
  The constructor of `ReadOnlyLongWrapper`
  `ReadOnlyLongWrapper(Object bean, String name, long initialValue)`
  The constructor of `ReadOnlyLongWrapper`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReadOnlyLongProperty`
  `getReadOnlyProperty()`
  Returns the readonly property, that is synchronized with this `ReadOnlyLongWrapper`.

  ### Methods declared in class javafx.beans.property.SimpleLongProperty

  `getBean, getName`

  ### Methods declared in class javafx.beans.property.LongPropertyBase

  `addListener, addListener, bind, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

  ### Methods declared in class javafx.beans.property.LongProperty

  `asObject, bindBidirectional, longProperty, setValue, unbindBidirectional`

  ### Methods declared in class javafx.beans.property.ReadOnlyLongProperty

  `readOnlyLongProperty`

  ### Methods declared in class javafx.beans.binding.LongExpression

  `add, add, add, add, divide, divide, divide, divide, doubleValue, floatValue, getValue, intValue, longExpression, longExpression, longValue, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

  ### Methods declared in class javafx.beans.binding.NumberExpressionBase

  `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, numberExpression, subtract`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `subscribe`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `flatMap, getValue, map, orElse, subscribe, subscribe, when`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### ReadOnlyLongWrapper

    public ReadOnlyLongWrapper()
    The constructor of `ReadOnlyLongWrapper`

  - ### ReadOnlyLongWrapper

    public ReadOnlyLongWrapper(long initialValue)
    The constructor of `ReadOnlyLongWrapper`
    Parameters:
      `initialValue` - the initial value of the wrapped value

  - ### ReadOnlyLongWrapper

    public ReadOnlyLongWrapper(Object bean, String name)
    The constructor of `ReadOnlyLongWrapper`
    Parameters:
      `bean` - the bean of this `ReadOnlyLongProperty`
      `name` - the name of this `ReadOnlyLongProperty`

  - ### ReadOnlyLongWrapper

    public ReadOnlyLongWrapper(Object bean, String name, long initialValue)
    The constructor of `ReadOnlyLongWrapper`
    Parameters:
      `bean` - the bean of this `ReadOnlyLongProperty`
      `name` - the name of this `ReadOnlyLongProperty`
      `initialValue` - the initial value of the wrapped value

- ## Method Details

  - ### getReadOnlyProperty

    public ReadOnlyLongProperty getReadOnlyProperty()
    Returns the readonly property, that is synchronized with this `ReadOnlyLongWrapper`.
    Returns:
      the readonly property